> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group of line items by ID

> Create a group of line items. Up to 100 line items can be created in a single request. This would allow you to create all of the line items for an entire order (or multiple orders) in a single request. The request body will be an array, with each entry being a list of properties you want to set for each new line item. Please see the example for more details. You must set the hs_product_id property when creating a line item. This property needs to be the objectId of a product object, and represents the product being sold.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json POST /crm-objects/v1/objects/line_items/batch-read
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/batch-read:
    post:
      summary: Get a group of line items by ID
      description: >-
        Create a group of line items. Up to 100 line items can be created in a
        single request. This would allow you to create all of the line items for
        an entire order (or multiple orders) in a single request. The request
        body will be an array, with each entry being a list of properties you
        want to set for each new line item. Please see the example for more
        details. You must set the hs_product_id property when creating a line
        item. This property needs to be the objectId of a product object, and
        represents the product being sold.
      operationId: postcrmobjectsv1objectslineitemsbatchread
      responses:
        '200':
          description: Successful response - Create a group of line items
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a group of line items by ID - Example 1
                  value:
                    - ids:
                        - 9845651
                        - 9867373
                    - versions:
                        - name: hs_product_id
                          value: '1645342'
                          sourceVid: []
                      value: '1645342'
                      timestamp: 0
                      source: null
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1645187'
                          sourceVid: []
                      value: '1645187'
                      timestamp: 0
                      source: null
                      sourceId: null
                    - ids:
                        - 9845651
                        - 9867373
                    - versions:
                        - name: quantity
                          value: '25'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '25'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: price
                          value: '27.50'
                          timestamp: 1525299376761
                          source: API
                          sourceVid: []
                      value: '27.50'
                      timestamp: 1525299376761
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A custom name for the product for this line item.
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: A custom name for the product for this line item.
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1645342'
                          sourceVid: []
                      value: '1645342'
                      timestamp: 0
                      source: null
                      sourceId: null
                    - versions:
                        - name: quantity
                          value: '25'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '25'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: price
                          value: '9.00'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '9.00'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: Widgets, special discount price
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: Widgets, special discount price
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1645187'
                          sourceVid: []
                      value: '1645187'
                      timestamp: 0
                      source: null
                      sourceId: null
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````